import { FaceDirection } from "../BoardInterface";
import { IConfigOption } from "../../Components/Board/UserConfig";
import { IConfigStore } from "../BoardStore";
export interface IModeling2Item {
    readonly color: number;
    dir: FaceDirection;
    knife: {
        id: string;
        name: string;
    };
}
export declare class Modeling2Store implements IConfigStore {
    configName: string;
    configsNames: string[];
    modelingItems: IModeling2Item[];
    isUpdate: boolean;
    constructor();
    InitModelingItems(): void;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption): void;
}
//# sourceMappingURL=Modeling2Store.d.ts.map